Skip to main content
GET
/
transit
/
timetable
Route Timetable
curl --request GET \
  --url 'https://api.511.org/transit/timetable?api_key='
{
  "Siri": {
    "ServiceDelivery": {
      "DataObjectDelivery": {
        "dataObjects": {
          "TimetableFrame": {
            "id": "TF:SF",
            "vehicleJourneys": {
              "ServiceJourney": [
                {
                  "id": "SF:49:weekday:0001",
                  "DayTypeRef": "weekday",
                  "passingTimes": {
                    "TimetabledPassingTime": [
                      {
                        "StopPointInJourneyPatternRef": "18079",
                        "ArrivalTime": "06:05:00",
                        "DepartureTime": "06:05:00"
                      }
                    ]
                  }
                }
              ]
            }
          }
        }
      }
    }
  }
}

Authorizations

api_key
string
query
required

511.org token query parameter.

Query Parameters

format
enum<string>
default:json

Desired response format. JSON is the default when omitted.

Available options:
json,
xml
accept_language
string

Optional language hint for NeTEx endpoints when multiple languages are available.

operator_id
string
required

Operator or agency identifier.

line_id
string
required

Line or route identifier.

IncludeDayTypeAssignments
boolean

Include DayTypeAssignment rows when true. This parameter is cased as shown in the PDF.

includespecialservice
boolean

Current page casing for the special-service flag. The PDF uses 'IncludeSpecialService'.

exceptiondate
string

Current page casing for the exception-date filter. The PDF uses 'ExceptionDate'. Expected format is yyyymmdd.

Pattern: ^\d{8}$

Response

Timetable bundle in JSON or XML.

The response is of type object.